# List wallets

GET

/v1/wallets

Lists all of the wallets that kmd is aware of.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: application/json

APIV1GETWalletsRequest is the request for `GET /v1/wallets`

object

## Responses

### 200

Response to `GET /v1/wallets`

The list of MIME types the operation can produce: application/json

APIV1GETWalletsResponse is the response to `GET /v1/wallets`
friendly: ListWalletsResponse

object

**error**  
boolean

**message**  
string

**wallets**  
Array<object>

APIV1Wallet is the API’s representation of a wallet

object

**driver_name**  
string

**driver_version**  
integer format: uint32

**id**  
string

**mnemonic_ux**  
boolean

**name**  
string

**supported_txs**  
Array<string>
